Name:      mdocml
Version:   1.11.1
Release:   1
Summary:   Unix Manual Page Rendering Utility
URL:       http://mdocml.bsd.lv/
Vendor:    Kristaps Dzonsons, Ingo Schwarze
Group:     Applications/Publishing
License:   MIT
Source0:   http://mdocml.bsd.lv/snapshots/%{name}-%{version}.tar.gz
Source1:   http://mdocml.bsd.lv/snapshots/%{name}-%{version}.md5
Patch0:    %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: make, coreutils

%description
docml is OpenBSD's suite of tools compiling "-mdoc", the roff macro
package of choice for BSD manual pages, and "-man", the predominant
historical package for UNIX manuals. The mission of mdocml is to
deprecate groff, the GNU troff implementation, for displaying -mdoc
pages whilst providing token support for -man.


%prep
%setup -q
%patch0
chmod -R u+w *
chmod -R og-w *
chmod -R og+r *

%build
export CC=xlc
gmake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export PATH=/opt/freeware/bin:$PATH

gmake install DESTDIR=${RPM_BUILD_ROOT} PREFIX=%{_prefix} EXAMPLEDIR=%{_datadir}/%{name}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%{_bindir}/*
%{_mandir}/man?/*
%{_libdir}/*.a
%{_datadir}/*
/usr/bin/*


%changelog
* Tue Apr 05 2011 Michael Perzl <michael@perzl.org> - 1.11.1-1
- updated to version 1.11.1

* Fri Feb 04 2011 Michael Perzl <michael@perzl.org> - 1.10.9-1
- first version for AIX5L v5.1 and higher
